
Ruby - Feature #3697

[PATCH] Allow build of dbm extension with Berkeley DB 5.0 series (for 1.9.2_rc2)

08/15/2010 08:44 PM - Flameeyes (Diego Elio Pettenò)

Status: Closed   

Priority: Normal   

Assignee: matz (Yukihiro Matsumoto)   

Target version: 2.6   

Description

=begin

This is the same issue as bug #3294 but with the patch for Ruby 1.9.2_rc2 rather than for 1.8.7, as the two patch are quite different.

HTH,

Diego

=end

History

#1 - 08/27/2010 01:02 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

- Assignee set to matz (Yukihiro Matsumoto)

=begin

=end

#2 - 06/11/2011 03:14 PM - ko1 (Koichi Sasada)

Matz, how about it?

Kosaki said this ticket should be a "Feature".

#3 - 06/12/2011 12:23 AM - matz (Yukihiro Matsumoto)

- ruby -v changed from ruby 1.9.2dev (2010-07-11 revision 28618) [x86_64-linux]  to -

Hi,

In message "Re: [ruby-core:36979] [Ruby 1.9 - Bug #3697] [PATCH] Allow build of dbm extension with Berkeley DB 5.0 series (for 1.9.2_rc2)"

on Sat, 11 Jun 2011 15:14:35 +0900, Koichi Sasada redmine@ruby-lang.org writes:

|Matz, how about it?

|Kosaki said this ticket should be a "Feature".

I agree with him.  I don't consider this a bug.

      matz.

 |----------------------------------------

|Bug #3697: [PATCH] Allow build of dbm extension with Berkeley DB 5.0 series (for 1.9.2_rc2)

|http://redmine.ruby-lang.org/issues/3697

#4 - 06/12/2011 01:10 AM - kosaki (Motohiro KOSAKI)

- Tracker changed from Bug to Feature

#5 - 06/12/2011 01:12 AM - kosaki (Motohiro KOSAKI)

Matz, I can handle this issue if you want. I guess you don't have db-5.0 environment.

#6 - 11/20/2012 08:45 PM - mame (Yusuke Endoh)

- Target version set to 2.6

#7 - 11/21/2012 01:58 AM - kosaki (Motohiro KOSAKI)

- Status changed from Assigned to Closed
Hmm..

This patch seems too old and can't apply cleanly anymore. I closed this ticket at once. Feel free to reopen if anyone make a new patch.

Files

007_berkdb-5.0.patch 1020 Bytes 08/15/2010 Flameeyes (Diego Elio Pettenò)
